package com.jianshui.web.utils;

import cn.hutool.core.codec.Base64;

/**
 * @author kk
 * @date 2023年12月23日 23:01
 */
public class Test {

    public static void main(String[] args) {
        String encodedText = "$01MDM3MDAyMzAwMjExPC8+MTkxMjY4MDc8Lz4yMC4wPC8+MjAyMzEyPC8+aHR0cHM6Ly9kbGouNTFmYXBpYW8uY24vZGxqL3Y3L2Y2YzEyZDQyODMzZGQyYjZmMjhlZDk1NDExMjQxZjk4NDA3MmFkPC8+NzYyM2Y3NjA4MDA5NDExNWEzZWNkM2JjODk0ZTM4OTg8Lz4wMTwvPkFEMTU=";

        // 使用Hutool进行Base64解码，并指定字符集为UTF-8
        String decodedText = Base64.decodeStr(encodedText, "UTF-8");

        System.out.println(decodedText);
    }
    }
